JJB job to run STC hourly
Change-Id: I2f7c2fa01b54b179cd14e3244ff9cc44fa9cb5d7
diff --git a/jjb/onos/onos-run-stc.sh b/jjb/onos/onos-run-stc.sh
new file mode 100644
index 0000000..393e524
--- /dev/null
+++ b/jjb/onos/onos-run-stc.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+# exit on errors
+set -eu -o pipefail
+
+# initialize build environment
+ONOS_ROOT=`pwd`
+. tools/build/envDefaults
+
+# initialize development environment for STC
+. tools/dev/bash_profile
+
+
+# always free the cell when exiting
+function cleanup {
+ cell return
+}
+
+trap cleanup EXIT
+
+# grab a cell to run on
+cell borrow
+
+# build onos bits
+onos-buck build onos
+
+# set up STC parameters
+topo default
+export stcDumpLogs=true
+export stcColor="false"
+export stcHaltOnError=true
+export TERM=vt100
+
+# run STC
+stc